@font-face {
  font-family: "Noto Sans";
  src: url("/fonts/NotoSans-Regular.woff2") format("woff2");
  font-weight: 400;
  font-style: normal;
}

@font-face {
  font-family: "Noto Sans";
  src: url("/fonts/NotoSans-Italic.woff2") format("woff2");
  font-weight: 400;
  font-style: italic;
}

@font-face {
  font-family: "Noto Sans";
  src: url("/fonts/NotoSans-Bold.woff2") format("woff2");
  font-weight: 700;
  font-style: normal;
}

@font-face {
  font-family: "Noto Sans";
  src: url("/fonts/NotoSans-BoldItalic.woff2") format("woff2");
  font-weight: 700;
  font-style: italic;
}



html {
	width: 100%;
	height: 100vh;
	background: linear-gradient(to bottom, #0047b2 0, #002966 100%) no-repeat, #002966;
	color: #fff;
	font-family: 'Noto Sans', 'Helvetica', sans-serif;
}

body {
	margin: 0;
}

.the-box {
	position: absolute;
	left: 50%;
	top: 15%;
	<!--transform: translate(-50%, -50%);
	-webkit-transform: translate(-50%, -50%);
	-ms-transform: translate(-50%, -50%);-->
}

.login-element {
	position: absolute;
	left: 50%;
	top: 70%;
	<!--transform: translate(-50%, -50%);
	-webkit-transform: translate(-50%, -50%);
	-ms-transform: translate(-70%, -50%);-->
}

.the-title {
	padding: 5px;
	font-size: 3em;
	text-align: center;
}

.linkLetters {
	color: white;
}

.logoutButton {
	position: absolute;
	right: 20px;
	top: 45px;
	padding: 10px 20px;
	font-size: 16px;
	text-decoration: none;
	color: #fff;
	background-color: #007bff;
	border: none;
	border-radius: 5px;
	cursor: pointer;
	transform: translateY(-50%);
	transition: background-color 0.3s ease-in-out, transform 0.1s ease-in-out;
}



.logoutButton:hover {
	background-color: #002966;
}

.card{
	max-width: 200px;
	min-width: 150px;
	display: flex;
	flex-direction: column;
	gap: 12px;
	padding: 32px;
	border: 2px solid whitesmoke;
	border-radius: 16px;
	background-color: rgba(255, 255, 255, 0.15);
	box-shadow: 2px 10px 24px rgba(0, 0, 0, 0.1);
}

input {
	width: 90%;
	padding: 10px;
	border: none;
	border-bottom: 3px solid #ccc;
	font-size: 16px;
	outline: none;
	transition: border-color 0.3s ease-in-out;
	background-color: rgb(248, 248, 248);
}

input:focus {
	border-color: #007bff;
}

button {
	padding: 10px 20px;
	font-size: 16px;
	color: #fff;
	background-color: #007bff;
	border: none;
	border-radius: 5px;
	cursor: pointer;
	transition: background-color 0.3s ease-in-out, transform 0.1s ease-in-out;
}

button:hover {
	background-color: #002966;
}

button:active {
	transform: scale(0.98);
}

 /* Style the buttons that are used to open and close the accordion panel */
.accordion {
  background-color: rgba(0, 123, 255, 1);
  color: #ffffff;
  cursor: pointer;
  padding: 12px;
  width: 100%;
  text-align: left;
  border: none;
  outline: none;
  transition: 0.4s;
  margin-bottom: 12px;
}

/* Add a background color to the button if it is clicked on (add the .active class with JS), and when you move the mouse over it (hover) */
.active {
  background-color: #0064d5;
	margin-bottom: 0px;
}

.accordion:hover {
  background-color: #0064d5;
}

/* Style the accordion panel. Note: hidden by default */
.panel {
  padding: 0 18px;
  background-color: rgba(0, 0, 0, 0.20);;
  display: none;
  overflow: hidden;
  margin-bottom: 12px;
}


.container {
	display: flex;
	justify-content: space-between;
	flex-wrap: wrap;      /* erlaubt Umbruch bei zu wenig Platz */
	padding: 25px;
	gap: 20px;            /* Abstand zwischen den Abschnitten */
}

.section {
	width: 30%;
	min-width: 320px;
	background-color: transparent;
	/* padding: 20px; */
	box-sizing: border-box;
}

/* Wenn der Bildschirm schmaler als 1000px ist */
@media (max-width: 1000px) {
	.container {
		flex-direction: column;   /* statt nebeneinander = untereinander */
		align-items: center;      /* zentriert die Abschnitte */
	}
	.section {
		width: 90%;               /* größere Breite bei schmalen Geräten */
	}
}

.wishlistButton {
	display: inline-block;
    margin: 8px;
	padding: 12px 14px;
	font-size: 16px;
	text-decoration: none;
	color: #fff;
	background-color: #ff8800;
	border: none;
	border-radius: 12px;
	cursor: pointer;
	transition: background-color 0.3s ease-in-out, transform 0.1s ease-in-out;
}



.wishlistButton:hover {
	background-color: #ffc800;
}

.languageFlag {
	position: absolute;
	right: 130px;
	top: 45px;
	width: 60px;
	height: 35px;
	cursor: pointer;
	transform: translateY(-50%);
	box-shadow: 0 0 20px rgba(0,0,0,0.7);
	transition: width 0.3s ease-in-out, transform 0.1s ease-in-out;
}

.languageFlag:hover {
	width: 70px;
	height: 41px;
	box-shadow: 0 0 20px rgba(1,1,1,0.7);
}